Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 1213322 - (CVE-2015-3331) CVE-2015-3331 Kernel: crypto: buffer overruns in RFC4106 implementation using AESNI
CVE-2015-3331 Kernel: crypto: buffer overruns in RFC4106 implementation using...
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20150312,repo...
: Security
Depends On: 1212178 1213329 1213330 1213331 1213332 1213333 1213334 1213336 1213337 1220341
Blocks: 1211861
  Show dependency treegraph
 
Reported: 2015-04-20 06:43 EDT by Prasad J Pandit
Modified: 2018-08-28 17:58 EDT (History)
39 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A buffer overflow flaw was found in the way the Linux kernel's Intel AES-NI instructions optimized version of the RFC4106 GCM mode decryption functionality handled fragmented packets. A remote attacker could use this flaw to crash, or potentially escalate their privileges on, a system over a connection with an active AES-GCM mode IPSec security association.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0981 normal SHIPPED_LIVE Important: kernel-rt security, bug fix, and enhancement update 2015-05-12 15:43:32 EDT
Red Hat Product Errata RHSA-2015:0987 normal SHIPPED_LIVE Important: kernel security and bug fix update 2015-05-12 19:19:46 EDT
Red Hat Product Errata RHSA-2015:0989 normal SHIPPED_LIVE Important: kernel-rt security, bug fix, and enhancement update 2015-05-12 18:49:28 EDT
Red Hat Product Errata RHSA-2015:1081 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2015-06-09 16:35:00 EDT
Red Hat Product Errata RHSA-2015:1199 normal SHIPPED_LIVE Important: kernel security and bug fix update 2015-06-30 13:58:37 EDT

  None (edit)
Description Prasad J Pandit 2015-04-20 06:43:10 EDT
Linux kernel built with the Intel AES-NI instructions for AES algorithm support
(CONFIG_CRYPTO_AES_NI_INTEL) is vulnerable to a memory corruption issue. It could occur when using the Intel AES-NI instruction to decrypt fragmented network packets.

An unprivileged remote user could use this flaw to crash the system (denial of service) or, potentially, escalate their privileges on a system over a connection with an active AEC-GCM mode IPSec security association.

Upstream fix:
-------------
  -> https://git.kernel.org/linus/ccfe8c3f7e52ae83155cb038753f4c75b774ca8a

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2015/04/18/1
  -> https://software.intel.com/en-us/articles/intel-advanced-encryption-standard-instructions-aes-ni
Comment 1 Prasad J Pandit 2015-04-20 06:47:44 EDT
Statement:

This issue does not affect the version of the kernel package as shipped with
Red Hat Enterprise Linux 5.

This issue affects the versions of Linux kernel as shipped with
Red Hat Enterprise Linux 6, 7 and Red Hat Enterprise MRG 2. Future kernel updates
for Red Hat Enterprise Linux 6 may address this issue.
Comment 5 Prasad J Pandit 2015-04-20 06:53:49 EDT
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1213337]
Comment 10 errata-xmlrpc 2015-05-12 11:44:04 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2015:0981 https://rhn.redhat.com/errata/RHSA-2015-0981.html
Comment 11 Akemi Yagi 2015-05-12 14:10:00 EDT
(In reply to errata-xmlrpc from comment #10)
> This issue has been addressed in the following products:
> 
>   Red Hat Enterprise Linux 7
> 
> Via RHSA-2015:0981 https://rhn.redhat.com/errata/RHSA-2015-0981.html

Is that a typo? Maybe it is supposed to be:

https://rhn.redhat.com/errata/RHSA-2015-0987.html
Comment 12 errata-xmlrpc 2015-05-12 14:49:38 EDT
This issue has been addressed in the following products:

  MRG for RHEL-6 v.2

Via RHSA-2015:0989 https://rhn.redhat.com/errata/RHSA-2015-0989.html
Comment 13 errata-xmlrpc 2015-05-12 15:21:58 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2015:0987 https://rhn.redhat.com/errata/RHSA-2015-0987.html
Comment 14 Florian Weimer 2015-05-13 04:49:18 EDT
(In reply to Akemi Yagi from comment #11)
> (In reply to errata-xmlrpc from comment #10)
> > This issue has been addressed in the following products:
> > 
> >   Red Hat Enterprise Linux 7
> > 
> > Via RHSA-2015:0981 https://rhn.redhat.com/errata/RHSA-2015-0981.html
> 
> Is that a typo?

It's not a typo.  RHSA-2015-0981 addresses this vulnerability for the kernel-rt package:

<https://www.redhat.com/archives/rhsa-announce/2015-May/msg00008.html>

Currently, errata pages which document changes to Red Hat Enterprise Linux 7 only (and not other versions of Red Hat Enterprise Linux) do not appear under rhn.redhat.com URLs.
Comment 18 David Eisenstein 2015-06-07 18:03:01 EDT
Doesn't this bug also affect RHEL 6 kernel?  I see the same error lines in 
arch/x86/crypto/aesni-intel_glue.c in kernel version kernel-2.6.32-504.16.2.el6 .
Comment 19 Petr Matousek 2015-06-08 03:16:10 EDT
(In reply to David Eisenstein from comment #18)
> Doesn't this bug also affect RHEL 6 kernel?  I see the same error lines in 
> arch/x86/crypto/aesni-intel_glue.c in kernel version
> kernel-2.6.32-504.16.2.el6 .

It does. See comment 1.
Comment 20 errata-xmlrpc 2015-06-09 10:50:48 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2015:1081 https://rhn.redhat.com/errata/RHSA-2015-1081.html
Comment 21 errata-xmlrpc 2015-06-30 09:59:10 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6.5 EUS - Server and Compute Node Only

Via RHSA-2015:1199 https://rhn.redhat.com/errata/RHSA-2015-1199.html

Note You need to log in before you can comment on or make changes to this bug.